JOYSTICK_STICK_INFO(3)

NAME
JOYSTICK_STICK_INFO

SYNOPSIS
#include <allegro.h>

typedef struct JOYSTICK_STICK_INFO

DESCRIPTION
   int flags;                       - status flags for this
                                      input
   int num_axis;                    - how many axis do we
                                      have?
   JOYSTICK_AXIS_INFO axis[n];      - axis state information
   char *name;                      - description of this
                                      input

Read chapter "Joystick routines" for a description on how to obtain/use this structure.

SEE ALSO
joy(3)